> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Get user profile by Id and Chain

GET https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/{chainId}/{userProfileId}



Reference: https://fiftytwo-demo.ferndocs.com/api/master-data/reference/user-profiles/get-user-profile-by-id-and-chain

## Request

### Path parameters

- `userProfileId` (string, required) — The Id of the user profile to retrieve
- `chainId` (integer, required) — The Id of the Chain

## Response

### 200

Success

- `userProfiles` (list of UserProfilesUserProfilesItems, required)

## Errors

### 400 Bad Request Error

Bad Request

- `string`

## Types

### UserProfilesUserProfilesItems

- `userProfileId` (integer, required) — Unique identifier for the cashier profile
- `name` (string, required) — Descriptive name of the cashier profile
- `paymentMethodId` (integer, required) — Identifier for the payment method
- `maxPayoutPerTransaction` (double, required) — Maximum amount allowed per payout
- `maxTotalPayout` (double, required) — Maximum cumulative payout allowed
- `minTimeBetweenPayouts` (integer, required) — Minimum time (in minutes) between two payouts
- `maxTotalDebt` (double, required) — Maximum allowed total debt
- `cashDifferenceLimits` (list of integer, required) — Cash drawer difference limits (in steps)
- `denominations` (list of UserProfilesUserProfilesItemsDenominationsItems, required) — A breakdown of coins and notes (denominations) along with their respective quantities and amounts. This represents the starting balance of a user profile, detailing the denominations that comprise the initial balance.

### UserProfilesUserProfilesItemsDenominationsItems

- `unitValue` (double, required) — Unit value (max 6 digits, 2 decimals) of the denomination. (e.g. 20.00)
- `type` (enum, required) — Whether the denomination is a coin or note or undefined. 0=Not Defined, 1=Coin, 2=Note
  - Allowed values: `0`, `1`, `2`
- `quantity` (integer, required) — Count of the denomination in drawer

## Examples

**Response**

```json
{
  "userProfiles": [
    {
      "userProfileId": 1,
      "name": "Standard Cashier",
      "paymentMethodId": 101,
      "maxPayoutPerTransaction": 5000,
      "maxTotalPayout": 20000,
      "minTimeBetweenPayouts": 15,
      "maxTotalDebt": 10000,
      "cashDifferenceLimits": [
        50,
        100,
        200,
        300
      ],
      "denominations": [
        {
          "unitValue": 0.1,
          "type": 1,
          "quantity": 20
        },
        {
          "unitValue": 1,
          "type": 1,
          "quantity": 10
        },
        {
          "unitValue": 10,
          "type": 2,
          "quantity": 15
        },
        {
          "unitValue": 50,
          "type": 2,
          "quantity": 10
        }
      ]
    },
    {
      "userProfileId": 2,
      "name": "Senior Cashier",
      "paymentMethodId": 202,
      "maxPayoutPerTransaction": 10000,
      "maxTotalPayout": 50000,
      "minTimeBetweenPayouts": 10,
      "maxTotalDebt": 20000,
      "cashDifferenceLimits": [
        10,
        25,
        50
      ],
      "denominations": [
        {
          "unitValue": 0.5,
          "type": 1,
          "quantity": 10
        },
        {
          "unitValue": 2,
          "type": 1,
          "quantity": 5
        },
        {
          "unitValue": 20,
          "type": 2,
          "quantity": 10
        },
        {
          "unitValue": 100,
          "type": 2,
          "quantity": 10
        }
      ]
    }
  ]
}
```

**SDK Code**

```python UserProfiles_getUserProfileByIdAndChain_example
import requests

url = "https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId"

response = requests.get(url)

print(response.json())
```

```javascript UserProfiles_getUserProfileByIdAndChain_example
const url = 'https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go UserProfiles_getUserProfileByIdAndChain_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby UserProfiles_getUserProfileByIdAndChain_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java UserProfiles_getUserProfileByIdAndChain_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId")
  .asString();
```

```php UserProfiles_getUserProfileByIdAndChain_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId');

echo $response->getBody();
```

```csharp UserProfiles_getUserProfileByIdAndChain_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift UserProfiles_getUserProfileByIdAndChain_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/masterdata/userprofiles/v1/chain/1/userProfileId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```